// for Apple Pi
// (C)Copyright 2015 All rights reserved by Y.Onodera
// http://einstlab.web.fc2.com

#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <unistd.h>
#include <fcntl.h>
#include <sys/ioctl.h>
#include <linux/i2c-dev.h>

#define SLAVE_ADDRESS	0x3e
#define	filename	"/dev/i2c-1"


int i2c_write(int i2c, unsigned char a)
{
	unsigned char buf[2];
	buf[0]=0x40;
	buf[1]=a;
	return write(i2c,buf,2);
}



int main(int argc, char *argv[]){

	int i2c;
	int i,n;

	if( argc < 2 ) return 1;

	n = strlen(argv[1]);

	if( (i2c=open(filename, O_RDWR)) < 0 ){
		return 1;
	}

	if(ioctl(i2c, I2C_SLAVE, SLAVE_ADDRESS)<0){
		close(i2c);
		return 1;
	}

	for(i=0;i<n;i++){
		if(i2c_write(i2c, argv[1][i])!=2){
			close(i2c);
			return 1;
		}
	}

	close(i2c);
	return 0;

}


